<template>
    <div>
	<div class="product_wrap">
		<div class="row cg-user-dash-border" v-if="!isEmpty">
                        <div class="col-md-6 d-flex"  v-for="product in products_">
                            <div class="cg-product-dp col-md-3"><img class="img-fluid" :src="product.cover_photo_path" :alt="product.name" data-no-retina></div>
                            <div class="cg-product-name col-md-9">
                                <h4>{{ product.name | subStrName}}</h4>
                                <p> {{ product.date_added }} </p>
                                <span v-if="product.price">${{ product.price }}</span><span v-if="!product.price">Free</span>
                                <ul class="d-flex additional-btns justify-content-start">
                                    <li class="cg-tiny-view-btn"><a :href="product.product_url">View</a></li>
                                    <li class="cg-tiny-download"><a :href="product.product_url +'/edit-product'">Edit</a></li>
                                </ul>
                            </div>
                        </div>

                    </div>
          <div class="cg-empty-wrap"  v-if="isEmpty">
            <div class="cg-empty-content-wrap text-center add-btm-mdm">
                <img src="/images/no-items.svg" alt="creativegoods" class="img-ﬂuid width-30">
                <h4 class="font1 grey f18 w500 pad-top-mdm pad-btm-xsml">You don't have any live products yet.</h4>
                <a :href="user_.user_url +'/create-product'" class="ﬁrst theme-bg f14 w600">Upload Products</a>
            </div>
        </div>
	</div>
    <ShopPagination v-if="pagination.last_page > 1" :pagination="pagination" :offset="5" @paginate="fetchMyItemsLive()" ></ShopPagination>
</div>
</template>
<style lang="scss" scoped>
.product_wrap{
    min-height: 300px;
}

</style>
<script>
    import ShopPagination from '../components/ShopPagination.vue'
    import Preloader from '../components/Preloader.vue'
    export default {
        props: ['user'],

        data(){
            return{
                user_:this.user,
                products_:{},
                isEmpty:false,
                pagination: {
                    'current_page': 1
                },
            }

        },
        components:{
            ShopPagination,
            Preloader
        },
        methods: {
            fetchMyItemsLive() {
                this.preLoad() ;
                axios.get('/get_my_items?page=' + this.pagination.current_page+'&status=active')
                    .then(response => {
                        this.products_ = response.data.data.data;
                        this.pagination = response.data.pagination;
                        if(this.products_.length ){
                          this.isEmpty=false;
                        }else{
                            this.isEmpty=true;
                        }


                    })
                    .catch(error => {
                        console.log(error.response.data);
                    });
            },

             preLoad: function() {
              // just open
              const close = this.$preloaders.open({
                container: ".product_wrap",
                component:Preloader,
                  "overlayStyle": {
                    "backgroundColor": "#fff",
                    "opacity": 1,
                  }
              });

              // and close. That's it.
              setTimeout(close, 1500);
            }
        },
        filters: {

            subStrName: function(string)
            {
                if(string.length >30)
                {
                    return string.substring(0,27) + '...';
                }
                else
                {
                    return string.substring(0,30);
                }
            },



        },
        mounted(){
            this.preLoad() ;
            this.fetchMyItemsLive();

        },
        beforeCreate() {
            this.isEmpty=false;
         }

    }

</script>
